gvm_connection_t Struct Reference

Connection. More...

`#include <serverutils.h>`

## Data Fields

int | tls
| Whether uses TCP-TLS (vs UNIX socket). More...
int | socket
| Socket. More...
gnutls_session_t | session
| Session. More...
gnutls_certificate_credentials_t | credentials
| Credentials. More...
gchar * | username
| Username with which to connect. More...
gchar * | password
| Password for user with which to connect. More...
gchar * | host_string
| Server host string. More...
gchar * | port_string
| Server port string. More...
gint | port
| Port of server. More...
gboolean | use_certs
| Whether to use certs. More...
gchar * | ca_cert
| CA certificate. More...
gchar * | pub_key
| The public key. More...
gchar * | priv_key
| The private key. More...

## Detailed Description

Connection.

## Field Documentation

## ca_cert

gchar* gvm_connection_t::ca_cert

CA certificate.

## credentials

gnutls_certificate_credentials_t gvm_connection_t::credentials

Credentials.

## host_string

gchar* gvm_connection_t::host_string

Server host string.

## password

gchar* gvm_connection_t::password

Password for user with which to connect.

## port

gint gvm_connection_t::port

Port of server.

## port_string

gchar* gvm_connection_t::port_string

Server port string.

## priv_key

gchar* gvm_connection_t::priv_key

The private key.

## pub_key

gchar* gvm_connection_t::pub_key

The public key.

## session

gnutls_session_t gvm_connection_t::session

Session.

## socket

int gvm_connection_t::socket

Socket.

## tls

int gvm_connection_t::tls

Whether uses TCP-TLS (vs UNIX socket).

## use_certs

gboolean gvm_connection_t::use_certs

Whether to use certs.

## username

gchar* gvm_connection_t::username

Username with which to connect.

The documentation for this struct was generated from the following file:

- util/serverutils.h